Bug 184084 - [ral] kernel crash by ral (RT3090)
Summary: [ral] kernel crash by ral (RT3090)
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: wireless (show other bugs)
Version: unspecified
Hardware: Any Any
: Normal Affects Some People
Assignee: freebsd-wireless mailing list
URL:
Keywords: panic
: 178411 181646 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-11-19 13:20 UTC by ruanchunping
Modified: 2019-02-03 16:14 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ruanchunping 2013-11-19 13:20:00 UTC
ral0@pci0:3:0:0:        class=0x028000 card=0x1453103c chip=0x30901814 rev=0x00 hdr=0x00
    vendor     = 'Ralink corp.'
    device     = 'RT3090 Wireless 802.11n 1T/1R PCIe'
    class      = network

ifconfig wlan0 create wlandev ral0 wlanmode hostap up
ifconfig wlan0 inet 192.168.7.1 netmask 255.255.255.0
ifconfig wlan0 mode 11n
ifconfig: SIOCSIFMEDIA (media): Device not configured

**Problem 1: can't config it work at 11n mode.


/etc/rc.d/hostapd start

== /etc/hostapd.conf: ==
interface=wlan0
debug=4
ctrl_interface=/var/run/hostapd
ctrl_interface_group=wheel
ssid=wifi.test
wpa=1
wpa_passphrase=test1234
wpa_key_mgmt=WPA-PSK
wpa_pairwise=CCMP TKIP

** Problem 2:
everything is ok, the sta client can access this ap,
but,after several minutes, the box crashed and auto reboot.


== here's the core.txt.2 : ==

dev.comcom.com dumped core - see /var/crash/vmcore.2

Tue Nov 19 20:32:45 CST 2013

FreeBSD dev.comcom.com 10.0-BETA2 FreeBSD 10.0-BETA2 #0 r257377: Thu Oct 31 07:47:49 CST 2013     root@dev.comcom.com:/usr/obj/usr/src/sys/GENERIC_PF_ALTQ  amd64

panic: vm_fault: fault on nofault entry, addr: fffffe001f181000

GNU gdb 6.1.1 [FreeBSD]
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "amd64-marcel-freebsd"...

Unread portion of the kernel message buffer:
panic: vm_fault: fault on nofault entry, addr: fffffe001f181000
cpuid = 0
KDB: stack backtrace:
#0 0xffffffff808f2340 at kdb_backtrace+0x60
#1 0xffffffff808b9e25 at panic+0x155
#2 0xffffffff80b4450d at vm_fault_hold+0x14ed
#3 0xffffffff80b42fd7 at vm_fault+0x77
#4 0xffffffff80cc6e6b at trap_pfault+0x19b
#5 0xffffffff80cc6726 at trap+0x5e6
#6 0xffffffff80cada52 at calltrap+0x8
#7 0xffffffff81a89e7e at rt2860_intr+0xee
#8 0xffffffff8088e3bb at intr_event_execute_handlers+0xab
#9 0xffffffff8088e806 at ithread_loop+0x96
#10 0xffffffff8088c06a at fork_exit+0x9a
#11 0xffffffff80cadf8e at fork_trampoline+0xe
Uptime: 22m42s
Dumping 222 out of 2021 MB:..8%..15%..22%..37%..44%..51%..65%..73%..87%..94%

Reading symbols from /boot/kernel/zfs.ko.symbols...done.
Loaded symbols for /boot/kernel/zfs.ko.symbols
Reading symbols from /boot/kernel/opensolaris.ko.symbols...done.
Loaded symbols for /boot/kernel/opensolaris.ko.symbols
Reading symbols from /boot/kernel/if_gre.ko.symbols...done.
Loaded symbols for /boot/kernel/if_gre.ko.symbols
Reading symbols from /boot/kernel/if_ral.ko.symbols...done.
Loaded symbols for /boot/kernel/if_ral.ko.symbols
Reading symbols from /boot/kernel/uhid.ko.symbols...done.
Loaded symbols for /boot/kernel/uhid.ko.symbols
Reading symbols from /boot/kernel/netgraph.ko.symbols...done.
Loaded symbols for /boot/kernel/netgraph.ko.symbols
Reading symbols from /boot/kernel/ng_ether.ko.symbols...done.
Loaded symbols for /boot/kernel/ng_ether.ko.symbols
Reading symbols from /boot/kernel/ng_pppoe.ko.symbols...done.
Loaded symbols for /boot/kernel/ng_pppoe.ko.symbols
Reading symbols from /boot/kernel/ng_socket.ko.symbols...done.
Loaded symbols for /boot/kernel/ng_socket.ko.symbols
Reading symbols from /boot/kernel/ng_mppc.ko.symbols...done.
Loaded symbols for /boot/kernel/ng_mppc.ko.symbols
Reading symbols from /boot/kernel/rc4.ko.symbols...done.
Loaded symbols for /boot/kernel/rc4.ko.symbols
Reading symbols from /boot/kernel/wlan_xauth.ko.symbols...done.
Loaded symbols for /boot/kernel/wlan_xauth.ko.symbols
#0  doadump (textdump=<value optimized out>) at pcpu.h:219
219	pcpu.h: No such file or directory.
	in pcpu.h
(kgdb) #0  doadump (textdump=<value optimized out>) at pcpu.h:219
#1  0xffffffff808b9aa0 in kern_reboot (howto=260)
    at /usr/src/sys/kern/kern_shutdown.c:447
#2  0xffffffff808b9e64 in panic (fmt=<value optimized out>)
    at /usr/src/sys/kern/kern_shutdown.c:754
#3  0xffffffff80b4450d in vm_fault_hold (map=0xfffff80002000000, 
    vaddr=<value optimized out>, fault_type=1 '\001', fault_flags=0, 
    m_hold=0x0) at /usr/src/sys/vm/vm_fault.c:279
#4  0xffffffff80b42fd7 in vm_fault (map=0xfffff80002000000, 
    vaddr=<value optimized out>, fault_type=1 '\001', fault_flags=0)
    at /usr/src/sys/vm/vm_fault.c:224
#5  0xffffffff80cc6e6b in trap_pfault (frame=0xfffffe0093305990, usermode=0)
    at /usr/src/sys/amd64/amd64/trap.c:775
#6  0xffffffff80cc6726 in trap (frame=0xfffffe0093305990)
    at /usr/src/sys/amd64/amd64/trap.c:463
#7  0xffffffff80cada52 in calltrap ()
    at /usr/src/sys/amd64/amd64/exception.S:232
#8  0xffffffff81a8a57a in rt2860_drain_stats_fifo (sc=0xfffffe000085d000)
    at /usr/src/sys/modules/ral/../../dev/ral/rt2860.c:1121
#9  0xffffffff81a89e7e in rt2860_intr (arg=0xfffffe000085d000)
    at /usr/src/sys/modules/ral/../../dev/ral/rt2860.c:1434
#10 0xffffffff8088e3bb in intr_event_execute_handlers (
    p=<value optimized out>, ie=0xfffff80002500800)
    at /usr/src/sys/kern/kern_intr.c:1263
#11 0xffffffff8088e806 in ithread_loop (arg=0xfffff8000277e9e0)
    at /usr/src/sys/kern/kern_intr.c:1276
#12 0xffffffff8088c06a in fork_exit (
    callout=0xffffffff8088e770 <ithread_loop>, arg=0xfffff8000277e9e0, 
    frame=0xfffffe0093305c00) at /usr/src/sys/kern/kern_fork.c:995
#13 0xffffffff80cadf8e in fork_trampoline ()
    at /usr/src/sys/amd64/amd64/exception.S:606
#14 0x0000000000000000 in ?? ()
Current language:  auto; currently minimal
(kgdb) 

------------------------------------------------------------------------
ps -axl

  UID  PID PPID CPU PRI  NI    VSZ               RSS MWCHAN   STAT TT     TIME COMMAND
    0    0    0   0  -8   0      0                 0 -        DLs   -  0:02.48 [kernel]
    0    1    0   0  52   0   9432                 0 wait     DLs   -  0:00.06 [init]
    0    2    0   0  -8   0      0                 0 tx->tx_s DL    -  0:00.09 [zfskern]
    0    3    0   0 -16   0      0                 0 pftm     DL    -  0:00.04 [pf purge]
    0    4    0   0 -16   0      0                 0 waiting_ DL    -  0:00.00 [sctp_iterator]
    0    5    0   0 -16   0      0                 0 ccb_scan DL    -  0:00.00 [xpt_thrd]
    0    6    0   0 -16   0      0                 0 psleep   DL    -  0:00.00 [pagedaemon]
    0    7    0   0 -16   0      0                 0 psleep   DL    -  0:00.00 [vmdaemon]
    0    8    0   0 155   0      0                 0 pgzero   DL    -  0:00.00 [pagezero]
    0    9    0   0 -16   0      0                 0 psleep   DL    -  0:00.00 [bufdaemon]
    0   10    0   0 -16   0      0                 0 audit_wo DL    -  0:00.00 [audit]
    0   11    0   0 155   0      0                 0 -        RL    -  0:54.38 [idle]
    0   12    0   0 -72   0      0                 0 -        WL    -  0:01.43 [intr]
    0   13    0   0  -8   0      0                 0 -        DL    -  0:00.37 [geom]
    0   14    0   0 -16   0      0                 0 -        DL    -  0:00.15 [rand_harvestq]
    0   15    0   0 -68   0      0                 0 -        DL    -  0:00.01 [usb]
    0   16    0   0  16   0      0                 0 syncer   DL    -  0:00.02 [syncer]
    0   17    0   0 -16   0      0                 0 vlruwt   DL    -  0:00.00 [vnlru]
    0   18    0   0 -16   0      0                 0 sdflush  DL    -  0:00.00 [softdepflush]
    0  154    1   0  52   0  12264                 0 pause    Ds    -  0:00.00 [adjkerntz]
    0 2146    1   0  20   0  13580                 0 select   Ds    -  0:00.01 [devd]
    0 2175    1   0  20   0  48036                 0 select   Ds    -  0:00.60 [ppp]
    0 2184    0   0 -16   0      0                 0 sleep    DL    -  0:00.00 [ng_queue]
    0 2250    1   0  20   0  14472                 0 select   Ds    -  0:00.01 [routed]
    0 2398    1   0  20   0  14432                 0 select   Ds    -  0:00.06 [syslogd]
   53 2475    1   0  20   0  66112 17979217499952768 kqread   Ds    -  0:01.79 [named]
    0 2479    1   0  20   0  16512                 0 select   Ds    -  0:00.02 [rpcbind]
    0 2514    1   0  52   0  14432                 0 select   Ds    -  0:00.00 [mountd]
    0 2520    1   0  52   0  12272                 0 select   Ds    -  0:00.04 [nfsd]
    0 2522 2520   0  52   0  12272                 0 rpcsvc   D     -  0:00.00 [nfsd]
    0 2524    1   0  20   0 276512                 0 select   Ds    -  0:00.00 [rpc.statd]
    0 2527    1   0  52   0  16540                 0 rpcsvc   Ds    -  0:00.00 [rpc.lockd]
    0 2534    1   0  52   0  39436                 0 select   Ds    -  0:00.04 [mpd5]
 1001 2564    1   0  20   0 604748                 0 usem     D     -  0:00.20 [node]
 1001 2568    1   0  20   0 608844                 0 usem     D     -  0:00.17 [node]
 1001 2572    1   0  20   0 626764 17979220066792960 uwait    D     -  0:03.81 [node]
 1001 2576    1   0  20   0 640588 17979220068068608 usem     D     -  0:03.69 [node]
    0 2601    1   0  20   0  25328                 0 select   Ds    -  0:00.02 [ntpd]
    0 2645    1   0  20   0  67072                 0 select   Ds    -  0:00.01 [nmbd]
    0 2648    1   0  20   0  99408                 0 select   Ds    -  0:00.04 [smbd]
    0 2661    1   0  52   0  12324                 0 select   D     -  0:00.00 [ser2net]
    0 2662 2648   0  20   0  99924                 0 select   D     -  0:00.00 [smbd]
   80 2663    1   0  52   0  47884                 0 accept   Ds    -  0:00.00 [svnserve.bin]
  100 2674    1   0  52   0  18596                 0 wait     Ds    -  0:00.00 [squid]
  100 2678 2674   0  20   0  47268                 0 kqread   D     -  0:00.87 [squid]
  100 2680 2678   0  20   0  12276                 0 sbwait   D     -  0:00.01 [squirm]
  100 2681 2678   0  20   0  12276                 0 sbwait   D     -  0:00.01 [squirm]
  100 2682 2678   0  20   0  12276                 0 sbwait   D     -  0:00.01 [squirm]
  100 2683 2678   0  52   0  12276                 0 sbwait   D     -  0:00.01 [squirm]
  100 2684 2678   0  52   0  12276                 0 sbwait   D     -  0:00.01 [squirm]
  100 2685 2678   0  52   0  18776                 0 sbwait   D     -  0:00.00 [ncsa_auth]
  100 2686 2678   0  52   0  18776                 0 sbwait   D     -  0:00.00 [ncsa_auth]
  100 2687 2678   0  52   0  18776                 0 sbwait   D     -  0:00.00 [ncsa_auth]
  100 2688 2678   0  52   0  18776                 0 sbwait   D     -  0:00.00 [ncsa_auth]
  100 2689 2678   0  52   0  18776                 0 sbwait   D     -  0:00.00 [ncsa_auth]
  100 2691 2678   0  52   0   8164                 0 piperd   D     -  0:00.00 [unlinkd]
    0 2693    1   0  47   0  30524                 0 nanslp   D     -  0:00.03 [smartd]
    0 2769    1   0  20   0  30012                 0 kqread   Ds    -  0:00.03 [master]
  125 2770 2769   0  20   0  30080                 0 kqread   D     -  0:00.01 [pickup]
  125 2771 2769   0  20   0  30136                 0 kqread   D     -  0:00.02 [qmgr]
    0 2775    1   0  52   0  28420                 0 pause    Ds    -  0:00.00 [nginx]
65534 2777 2775   0  20   0  28420                 0 kqread   D     -  0:00.00 [nginx]
65534 2778 2775   0  20   0  28420                 0 kqread   D     -  0:00.00 [nginx]
   88 2784    1   0  52   0  16988                 0 wait     Ds    -  0:00.07 [sh]
   88 3170 2784   0  27   0  88076 17979219049731136 sigwait  D     -  0:00.29 [mysqld]
    0 3171    1   0  20   0  43380                 0 select   Ds    -  0:00.05 [perl]
    0 3174    1   0  20   0  14432                 0 select   Ds    -  0:00.00 [miniupnpd]
65534 3182    1   0  52   0  19456                 0 uwait    Ds    -  0:00.00 [memcached]
   66 3202    1   0  52   0  35220                 0 select   Ds    -  0:00.01 [faxq]
   66 3204    1   0  52   0  39468                 0 select   Ds    -  0:00.01 [hfaxd]
    0 3212    1   0 -22 -10 197124                 0 select   D<    -  0:00.24 [freeswitch]
    0 3233    1   0  52   0  60812                 0 select   Ds    -  0:00.00 [sshd]
    0 3238    1   0  20   0 364436 17979219088847232 select   Ds    -  0:00.01 [httpd]
   80 3240 3238   0  52   0 142424                 0 accept   D     -  0:00.00 [httpd]
    0 3252    1   0  20   0  16520                 0 nanslp   Ds    -  0:00.01 [cron]
    0 3298    1   0  52   0  14420                 0 ttyin    Ds+   -  0:00.00 [getty]
    0 3299    1   0  52   0  14420                 0 ttyin    Ds+   -  0:00.00 [getty]
    0 3300    1   0  52   0  14420                 0 ttyin    Ds+   -  0:00.00 [getty]
    0 3301    1   0  52   0  14420                 0 ttyin    Ds+   -  0:00.00 [getty]
    0 3302    1   0  52   0  14420                 0 ttyin    Ds+   -  0:00.00 [getty]
    0 3303    1   0  52   0  14420                 0 ttyin    Ds+   -  0:00.00 [getty]
    0 3304    1   0  52   0  14420                 0 ttyin    Ds+   -  0:00.00 [getty]
    0 3305    1   0  52   0  14420                 0 ttyin    Ds+   -  0:00.00 [getty]
   80 3306 3238   0  20   0 364436                 0 kqread   D     -  0:00.04 [httpd]
 1001 3462 2648   0  20   0 101648                 0 select   D     -  0:00.00 [smbd]
    0 3463 3233   0  25   0  86080                 0 select   Ds    -  0:00.00 [sshd]
 1001 3465 3463   0  20   0  86080                 0 select   D     -  0:00.00 [sshd]
 1001 3466 3465   0  22   0  17472                 0 wait     Ds    -  0:00.00 [bash]
 1001 3471 3466   0  20   0  25612                 0 pause    D+    -  0:00.00 [screen]
    0 3472 3471   0  20   0  25612                 0 select   Ds    -  0:00.00 [screen]
 1001 3474 3472   0  33   0  17472                 0 ttyin    Ds+   -  0:00.00 [bash]
 1001 3475 3472   0  23   0  17472                 0 ttyin    Ds+   -  0:00.00 [bash]
 1001 3476 3472   0  22   0  17472                 0 ttyin    Ds+   -  0:00.00 [bash]
 1001 3477 3472   0  24   0  17472                 0 ttyin    Ds+   -  0:00.00 [bash]
 1001 3478 3472   0  20   0  17472                 0 ttyin    Ds+   -  0:00.00 [bash]
 1001 3479 3472   0  24   0  17472                 0 ttyin    Ds+   -  0:00.00 [bash]
 1001 3480 3472   0  25   0  17472                 0 ttyin    Ds+   -  0:00.00 [bash]
 1001 3481 3472   0  25   0  17472                 0 ttyin    Ds+   -  0:00.00 [bash]
 1001 3482 3472   0  22   0  17472                 0 ttyin    Ds+   -  0:00.00 [bash]
    0 3527    1   0  20   0  21608                 0 select   Ds    -  0:00.00 [hostapd]
  136 4347    1   0  20   0  24548                 0 select   Ds    -  0:00.00 [dhcpd]
    0 5450 2648   0  20   0 101612                 0 select   D     -  0:00.00 [smbd]

------------------------------------------------------------------------
vmstat -s

  9243949 cpu context switches
  3156311 device interrupts
   172159 software interrupts
  2981752 traps
  7067844 system calls
       19 kernel threads created
     5213  fork() calls
      506 vfork() calls
        0 rfork() calls
        0 swap pager pageins
        0 swap pager pages paged in
        0 swap pager pageouts
        0 swap pager pages paged out
     4344 vnode pager pageins
    22639 vnode pager pages paged in
      700 vnode pager pageouts
     1962 vnode pager pages paged out
        0 page daemon wakeups
        0 pages examined by the page daemon
      471 pages reactivated
   292622 copy-on-write faults
      872 copy-on-write optimized faults
   640199 zero fill pages zeroed
        0 zero fill pages prezeroed
      182 intransit blocking page faults
  1022004 total VM faults taken
     4060 page faults requiring I/O
        0 pages affected by kernel thread creation
   191723 pages affected by  fork()
    17894 pages affected by vfork()
        0 pages affected by rfork()
        0 pages cached
  1398612 pages freed
        0 pages freed by daemon
        0 pages freed by exiting processes
    77000 pages active
    27193 pages inactive
      123 pages in VM cache
   158313 pages wired down
   241114 pages free
     4096 bytes per page
   706627 total name lookups
          cache hits (88% pos + 7% neg) system 0% per-directory
          deletions 0%, falsehits 0%, toolong 0%

------------------------------------------------------------------------
vmstat -m

         Type InUse MemUse HighUse Requests  Size(s)
       USBdev    35     4K       -       35  32,64,128,256,512
         cdev     7     2K       -        7  256
      entropy  1026    65K       -    10687  32,64,4096
      CAM SIM     4     1K       -        4  256
     filedesc   183   557K       -     5933  16,32,128,2048,4096
        sigio     3     1K       -        3  64
     filecaps     0     0K       -        3  64
      kdtrace   514   110K       -     6322  64,256
         kenv    78    11K       -       90  16,32,64,128
       kqueue    46    58K       -    24547  256,2048
    proc-args    76     5K       -     4240  16,32,64,128,256
       kbdmux     7    18K       -        7  16,512,1024,2048
        hhook     2     1K       -        2  256
      ithread    80    13K       -       80  32,128,256
          LED     4     1K       -        4  16,128
       KTRACE   100    13K       -      100  128
      CAM XPT    26     2K       -      126  16,32,64,128,256,1024
       linker   302   176K       -      417  16,32,64,128,256,512,1024,2048,4096
        lockf    69     8K       -    11050  64,128
   loginclass     3     1K       -       32  64
       devbuf 10794 18178K       -    10900  16,32,64,128,256,512,1024,2048,4096
         temp    56    23K       -    29499  16,32,64,128,256,512,1024,2048,4096
       ip6opt     1     1K       -        3  256
       ip6ndp    17     2K       -       22  64,128
       module   492    62K       -      494  128
     mtx_pool     2    16K       -        2  
          osd     8     1K       -       21  16,32,64
     pmchooks     1     1K       -        1  128
         pgrp    59     8K       -      716  128
      session    55     7K       -      605  128
         proc     2    16K       -        2  
      subproc   221   468K       -     5858  512,4096
         cred   298    47K       -    84818  64,256
       plimit    35     9K       -      375  256
      uidinfo    12     4K       -     1029  128,2048
      CAM DEV     6    12K       -       15  2048
     pci_link    16     2K       -       16  64,128
       sysctl     0     0K       -     1748  16,32,64
    sysctloid  4336   215K       -     4415  16,32,64,128
    sysctltmp     0     0K       -      569  16,32,64,128
      tidhash     1    16K       -        1  
      callout     2  1416K       -        2  
         umtx   834   105K       -      834  128
     p1003.1b     1     1K       -        1  16
         SWAP     4  2193K       -        4  64
          bus  1153    95K       -     5181  16,32,64,128,256,1024
       bus-sc    66   312K       -     3082  16,32,64,128,256,512,1024,2048,4096
      devstat    12    25K       -       12  32,4096
 eventhandler   103     9K       -      103  64,128
         kobj   324  1296K       -      630  4096
      Per-cpu     1     1K       -        1  32
       DEVFS3   208    52K       -      224  256
       DEVFS1   155    78K       -      169  512
         rman   179    20K       -      548  16,32,128
         sbuf     0     0K       -     1140  16,32,64,128,256,512,1024,2048,4096
        DEVFS    55     1K       -       56  16,128
       DEVFSP     4     1K       -        6  64
    taskqueue    69    11K       -       99  16,32,64,256,1024
       Unitno    21     2K       -     4549  32,64
         vmem     2   128K       -        4  
     ioctlops     0     0K       -    41985  16,32,64,128,256,512,1024,2048,4096
       select   104    13K       -      104  128
          iov     0     0K       -   471419  16,32,64,128,256,512
          msg     4    30K       -        4  2048,4096
          sem     4   106K       -        4  2048,4096
          shm     1    20K       -        1  
          tty    58    58K       -       58  1024
          pts    40    10K       -       40  256
     mbuf_tag     0     0K       -    16101  32,64,128
        shmfd     1     8K       -        1  
       soname    31     4K       -   667470  16,32,128
          pcb   728   427K       -    98716  16,32,64,128,1024,2048
          acl     0     0K       -       16  4096
     vfscache     1  1024K       -        1  
  export_host     3     1K       -        3  256
     vfs_hash     1   512K       -        1  
       vnodes     3     1K       -        6  32,256
        mount   109     7K       -      705  16,32,64,128,256,512
  vnodemarker     0     0K       -      716  512
      fadvise     0     0K       -     7988  64
          BPF    28  1052K       -       39  16,128,512,4096
        ifnet    13    25K       -       13  128,2048
       ifaddr   377    42K       -      378  32,64,128,256,512,2048,4096
  ether_multi   214    12K       -      294  16,32,64
        clone    10     2K       -       10  128
       arpcom     5     1K       -        5  16
      lltable    55    20K       -       60  256,512
          tun     1     1K       -        1  256
     routetbl   193    65K       -     3866  32,64,128,256,512
     80211vap     1     4K       -        1  4096
  80211crypto     3     1K       -        8  128,512
     80211com     1     8K       -        1  
    80211node     3    33K       -       17  32,2048
  80211nodeie    31     8K       -       94  32,128,256,512
   80211power     1     1K       -        1  32
 80211ratectl     3     1K       -       14  16,64
    80211scan    30    20K       -       57  512,2048,4096
         igmp    12     3K       -       12  256
         ipid     2    24K       -        2  
   in_mfilter     4     4K       -        4  1024
     in_multi    16     4K       -       16  256
  ip_moptions     8     2K       -        8  64,256
encap_export_host     2     2K       -        8  1024
    sctp_a_it     0     0K       -       13  16
     sctp_vrf     1     1K       -        1  64
     sctp_ifa    16     2K       -       17  128
     sctp_ifn     6     1K       -        7  128
    sctp_iter     0     0K       -       13  256
    hostcache     1    28K       -        1  
     syncache     1    64K       -        1  
  in6_mfilter     1     1K       -        1  1024
    in6_multi    81    12K       -       91  32,256
 ip6_moptions     2     1K       -        2  32,256
          mld    10     2K       -       10  128
       pfsync     1     1K       -        1  1024
      pf_temp     0     0K       -        7  128
      pf_hash     3  2880K       -        3  
     pf_ifnet    55    12K       -      260  128,256,2048
       pf_tag     1     1K       -        1  128
      pf_rule   106    75K       -      174  128,1024
      pf_osfp  1130   115K       -     4520  64,128
     pf_table    14    28K       -       38  2048
      NFS FHA     1     2K       -        1  2048
          NLM     0     0K       -        1  32
          rpc    64     8K       -      194  16,32,64,128,256,512,1024
audit_evclass   187     6K       -      228  32
      pagedep     1   128K       -        1  
     inodedep     1   512K       -        1  
    bmsafemap     1     8K       -        1  
       newblk     1  1024K       -        1  
     freework     1    16K       -        1  
    ufs_quota     1   512K       -        1  
    vm_pgdata     3   257K       -        3  128
      UMAHash     1     1K       -        1  512
    pfs_nodes    21     6K       -       21  256
      memdesc     1     4K       -        1  4096
         GEOM   152    24K       -     1166  16,32,64,128,256,512,1024,2048
       feeder     7     1K       -        7  32
     atkbddev     2     1K       -        2  64
      CAM CCB     3     6K       -       35  2048
    raid_data     0     0K       -      168  32,128,256
     acpiintr     1     1K       -        1  64
         UART     3     3K       -        3  16,1024
md_nvidia_data     0     0K       -       28  512
       acpica  1718   179K       -    35869  16,32,64,128,256,512,1024
  md_sii_data     0     0K       -       28  512
     CAM path     8     1K       -       37  32
   CAM periph     6     2K       -       22  16,32,64,128,256
     acpitask     1     8K       -        1  
       apmdev     1     1K       -        1  128
   madt_table     0     0K       -        1  4096
      ata_pci     2     1K       -        2  64
      acpisem    20     3K       -       20  128
    CAM queue    13     4K       -       56  16,32,512
      acpidev    30     2K       -       30  64
CAM dev queue     4     1K       -        4  32
      io_apic     1     2K       -        1  2048
          MCA     4     1K       -        4  128
     nexusdev     3     1K       -        3  16
       isadev     8     1K       -        8  128
          USB    39   141K       -       40  16,128,256,512,1024,4096
      solaris 50380 519313K       -  1745361  16,32,64,128,256,512,1024,2048,4096
   kstat_data     6     1K       -        6  64
          gre     2     1K       -        2  128
netgraph_node    12     3K       -       15  128,256
     netgraph     5     1K       -        5  64
 netgraph_msg     0     0K       -       19  64,128,256,1024
netgraph_hook     4     1K       -        6  128
netgraph_pppoe     2    13K       -        3  64,512
netgraph_path     0     0K       -        9  16
netgraph_sock     9     2K       -       12  32,128
netgraph_mppc     0     0K       -        1  1024

------------------------------------------------------------------------
vmstat -z

ITEM                   SIZE  LIMIT     USED     FREE      REQ FAIL SLEEP

UMA Kegs:               384,      0,     114,       6,     114,   0,   0
UMA Zones:              768,      0,     114,       1,     114,   0,   0
UMA Slabs:               80,      0,    9350,     200,   52166,   0,   0
UMA RCntSlabs:           88,      0,     686,      34,     686,   0,   0
UMA Hash:               256,      0,       8,       7,       9,   0,   0
4 Bucket:                32,      0,      19,     356,   18334,   0,   0
8 Bucket:                64,      0,       6,     180,     508,   0,   0
16 Bucket:              128,      0,     238,      41,   16743,  35,   0
32 Bucket:              256,      0,     102,      93,   16902, 101,   0
64 Bucket:              512,      0,      54,      10,    2392,17862,   0
128 Bucket:            1024,      0,     102,      18,    4169,  11,   0
vmem btag:               56,      0,   11462,     253,   20533, 165,   0
VM OBJECT:              256,      0,    5353,     332,  105566,   0,   0
RADIX NODE:             144,      0,   19105,     875,  253979,  50,   0
MAP:                    240,      0,       3,      61,       3,   0,   0
KMAP ENTRY:             128,      0,      13,     142,      15,   0,   0
MAP ENTRY:              128,      0,    4332,     690,  294823,   0,   0
VMSPACE:                448,      0,      83,      34,    5721,   0,   0
fakepg:                 104,      0,       0,       0,       0,   0,   0
mt_zone:               4112,      0,     365,       0,     365,   0,   0
16:                      16,      0,    6309,     217, 1412541,   0,   0
32:                      32,      0,    6190,     435,  237314,   0,   0
64:                      64,      0,   33975,     931,  652839,   0,   0
128:                    128,      0,    9349,     168,  443119,   0,   0
256:                    256,      0,    4814,    4336,  253056,   0,   0
512:                    512,      0,    4898,     198,  171133,   0,   0
1024:                  1024,      0,     509,      55,   32021,   0,   0
2048:                  2048,      0,     434,      18,   23389,   0,   0
4096:                  4096,      0,    1479,      29,   41550,   0,   0
SLEEPQUEUE:              80,      0,     418,     109,     418,   0,   0
uint64 pcpu:              8,      0,    1764,     156,    1764,   0,   0
Files:                   80,      0,     782,     118,  218212,   0,   0
rl_entry:                40,      0,      54,     146,      54,   0,   0
TURNSTILE:              136,      0,     418,      22,     418,   0,   0
umtx pi:                 96,      0,       0,       0,       0,   0,   0
MAC labels:              40,      0,       0,       0,       0,   0,   0
PROC:                  1208,      0,     101,      16,    5738,   0,   0
THREAD:                1168,      0,     411,       6,     582,   0,   0
cpuset:                  72,      0,     222,      53,     360,   0,   0
audit_record:          1248,      0,       0,       0,       0,   0,   0
mbuf_packet:            256, 806445,    1219,     126, 1625291,1088,   0
mbuf:                   256, 806445,       3,     129, 1803257,   0,   0
mbuf_cluster:          2048, 126006,    1338,       0,    1338,  83,   0
mbuf_jumbo_page:       4096,  63003,       0,      17,   13457,   0,   0
mbuf_jumbo_9k:         9216,  56001,       0,       0,       0,   0,   0
mbuf_jumbo_16k:       16384,  42000,       0,       0,       0,   0,   0
mbuf_ext_refcnt:          4,      0,       0,       0,       0,   0,   0
ttyinq:                 160,      0,    1170,      55,    1440,   0,   0
ttyoutq:                256,      0,     614,      61,     758,   0,   0
g_bio:                  248,      0,       0,     128,  214004,   0,   0
ata_request:            336,      0,       1,      32,   58531,   0,   0
vtnet_tx_hdr:            24,      0,       0,       0,       0,   0,   0
FPU_save_area:          512,      0,       0,       0,       0,   0,   0
taskq_zone:              48,      0,       0,     166,     771,   0,   0
VNODE:                  472,      0,    3664,      24,    6078,   0,   0
VNODEPOLL:              112,      0,       0,       0,       0,   0,   0
BUF TRIE:               144,      0,       0,   13608,       0,   0,   0
NAMEI:                 1024,      0,       0,      16,  208792,   0,   0
S VFS Cache:            108,      0,    3540,     100,   23988,   0,   0
STS VFS Cache:          148,      0,       0,       0,       0,   0,   0
L VFS Cache:            328,      0,     128,      28,     198,   0,   0
LTS VFS Cache:          368,      0,       0,       0,       0,   0,   0
DIRHASH:               1024,      0,       0,       0,       0,   0,   0
NCLNODE:                528,      0,       0,       0,       0,   0,   0
Mountpoints:            816,      0,       9,       6,       9,   0,   0
pipe:                   744,      0,      67,      13,    4822,   0,   0
space_seg_cache:         64,      0,     969,     457,   34677,   0,   0
zio_cache:              944,      0,       1,    2731,  714845,   0,   0
zio_link_cache:          48,      0,       0,    2822,  493744,   0,   0
sa_cache:                80,      0,    3538,     112,    5940,   0,   0
dnode_t:                864,      0,    5756,      68,    6852,   0,   0
dmu_buf_impl_t:         224,      0,   11218,     189,   24406,   0,   0
arc_buf_hdr_t:          216,      0,    8883,      27,   17207,   0,   0
arc_buf_t:               72,      0,    7548,      97,   17255,   0,   0
zil_lwb_cache:          192,      0,       6,      74,     241,   0,   0
zfs_znode_cache:        368,      0,    3538,      32,    5940,   0,   0
procdesc:               128,      0,       0,       0,       0,   0,   0
ksiginfo:               112,      0,     107,     943,    2874,   0,   0
itimer:                 352,      0,       1,      32,       1,   0,   0
pf states:              296, 500006,   13308,    2266,  276498,   0,   0
pf state keys:           88,      0,   16755,    2505,  322965,   0,   0
pf source nodes:        136, 100021,       0,       0,       0,   0,   0
pf mtags:                40,      0,       0,     200,  130531,   0,   0
pf table entries:       160, 200000,      54,      71,     185,   0,   0
pf table counters:       64,      0,       0,       0,       0,   0,   0
pf frags:                80,      0,       0,     150,       4,   0,   0
pf frag entries:         32,  50000,       0,     125,       7,   0,   0
pf state scrubs:         40,      0,       0,       0,       0,   0,   0
KNOTE:                  128,      0,     258,     145,  885743,   0,   0
socket:                 696,  64680,     916,     114,  120665,   0,   0
unpcb:                  240,  64688,      88,      40,    6143,   0,   0
ipq:                     56,   3976,       0,       0,       0,   0,   0
udp_inpcb:              392,  64680,      60,      30,   88657,   0,   0
udpcb:                   16,  64758,      60,     191,   88657,   0,   0
tcp_inpcb:              392,  64680,     774,     156,   25839,   0,   0
tcpcb:                 1024,  64680,     189,      47,   25839,   0,   0
tcptw:                   88,  12960,     585,     180,   12882,   0,   0
syncache:               160,  15375,       0,      75,   12995,   0,   0
hostcache:              136,  15370,      37,      50,      37,   0,   0
tcpreass:                40,   7900,       0,     200,     300,   0,   0
sackhole:                32,      0,       0,     125,       3,   0,   0
sctp_ep:               1408,  64680,       0,       0,       0,   0,   0
sctp_asoc:             2352,  40000,       0,       0,       0,   0,   0
sctp_laddr:              48,  80012,       0,     166,      17,   0,   0
sctp_raddr:             728,  80000,       0,       0,       0,   0,   0
sctp_chunk:             136, 400026,       0,       0,       0,   0,   0
sctp_readq:             104, 400026,       0,       0,       0,   0,   0
sctp_stream_msg_out:    104, 400026,       0,       0,       0,   0,   0
sctp_asconf:             40, 400000,       0,       0,       0,   0,   0
sctp_asconf_ack:         48, 400060,       0,       0,       0,   0,   0
ripcb:                  392,  64680,       2,      28,       4,   0,   0
rtentry:                200,      0,      54,      26,      67,   0,   0
selfd:                   56,      0,     275,     151,  554020,   0,   0
SWAPMETA:               288, 252018,       0,       0,       0,   0,   0
NetGraph items:          72,   4123,       0,     155,      22,   0,   0
NetGraph data items:     72,    527,       0,     155,  106968,   0,   0


------------------------------------------------------------------------
vmstat -i

interrupt                          total       rate
irq16: ral0 fxp0                   97111       2207
irq17: bge0                       105363       2394
irq18: em0 uhci2                 1031556      23444
irq19: em1                        790341      17962
irq20: hpet0+                    1131915      25725
irq21: uhci0 ehci0                     2          0
irq23: uhci3                          23          0
Total                            3156311      71734

------------------------------------------------------------------------
pstat -T

782/64680 files
0M/16383M swap space

------------------------------------------------------------------------
pstat -s

Device          512-blocks     Used    Avail Capacity
/dev/gpt/swap0    16776960        0 16776960     0%
/dev/gpt/swap1    16776960        0 16776960     0%
Total             33553920        0 33553920     0%

------------------------------------------------------------------------
iostat

iostat: kvm_read(_tk_nin): invalid address (0x0)
iostat: disabling TTY statistics
            ada0             ada1            pass0             cpu
  KB/t tps  MB/s   KB/t tps  MB/s   KB/t tps  MB/s  us ni sy in id
 30.97 556 16.81  37.69 599 22.04   0.38   0  0.00  10  5 11  1 73

------------------------------------------------------------------------
ipcs -a

Message Queues:
T           ID          KEY MODE        OWNER    GROUP    CREATOR  CGROUP                 CBYTES                 QNUM               QBYTES        LSPID        LRPID STIME    RTIME    CTIME   

Shared Memory:
T           ID          KEY MODE        OWNER    GROUP    CREATOR  CGROUP         NATTCH        SEGSZ         CPID         LPID ATIME    DTIME    CTIME   

Semaphores:
T           ID          KEY MODE        OWNER    GROUP    CREATOR  CGROUP          NSEMS OTIME    CTIME   


------------------------------------------------------------------------
ipcs -T

msginfo:
	msgmax:        16384	(max characters in a message)
	msgmni:           40	(# of message queues)
	msgmnb:         2048	(max characters in a message queue)
	msgtql:           40	(max # of messages in system)
	msgssz:            8	(size of a message segment)
	msgseg:         2048	(# of message segments in system)

shminfo:
	shmmax:    536870912	(max shared memory segment size)
	shmmin:            1	(min shared memory segment size)
	shmmni:          192	(max number of shared memory identifiers)
	shmseg:          128	(max shared memory segments per process)
	shmall:       131072	(max amount of shared memory in pages)

seminfo:
	semmni:           50	(# of semaphore identifiers)
	semmns:          340	(# of semaphores in system)
	semmnu:          150	(# of undo structures in system)
	semmsl:          340	(max # of semaphores per id)
	semopm:          100	(max # of operations per semop call)
	semume:           50	(max # of undo entries per process)
	semusz:          632	(size in bytes of undo structure)
	semvmx:        32767	(semaphore maximum value)
	semaem:        16384	(adjust on exit max value)


------------------------------------------------------------------------
nfsstat

Client Info:
Rpc Counts:
  Getattr   Setattr    Lookup  Readlink      Read     Write    Create    Remove
        0         0         0         0         0         0         0         0
   Rename      Link   Symlink     Mkdir     Rmdir   Readdir  RdirPlus    Access
        0         0         0         0         0         0         0         0
    Mknod    Fsstat    Fsinfo  PathConf    Commit
        0         0         0         0         0
Rpc Info:
 TimedOut   Invalid X Replies   Retries  Requests
        0         0         0         0         0
Cache Info:
Attr Hits    Misses Lkup Hits    Misses BioR Hits    Misses BioW Hits    Misses
        0         0         0         0         0         0         0         0
BioRLHits    Misses BioD Hits    Misses DirE Hits    Misses Accs Hits    Misses
        0         0         0         0         0         0         0         0

Server Info:
  Getattr   Setattr    Lookup  Readlink      Read     Write    Create    Remove
        0         0         0         0         0         0         0         0
   Rename      Link   Symlink     Mkdir     Rmdir   Readdir  RdirPlus    Access
        0         0         0         0         0         0         0         0
    Mknod    Fsstat    Fsinfo  PathConf    Commit
        0         0         0         0         0
Server Ret-Failed
                0
Server Faults
            0
Server Cache Stats:
   Inprog      Idem  Non-idem    Misses
        0         0         0         0
Server Write Gathering:
 WriteOps  WriteRPC   Opsaved
        0         0         0

------------------------------------------------------------------------
netstat -s

tcp:
	230901 packets sent
		91067 data packets (111562773 bytes)
		20 data packets (21241 bytes) retransmitted
		0 data packets unnecessarily retransmitted
		0 resends initiated by MTU discovery
		102244 ack-only packets (26801 delayed)
		0 URG only packets
		0 window probe packets
		2 window update packets
		37568 control packets
	231145 packets received
		127702 acks (for 111598271 bytes)
		7938 duplicate acks
		0 acks for unsent data
		115185 packets (109936937 bytes) received in-sequence
		219 completely duplicate packets (53324 bytes)
		0 old duplicate packets
		0 packets with some dup. data (0 bytes duped)
		300 out-of-order packets (381989 bytes)
		0 packets (0 bytes) of data after window
		0 window probes
		1248 window update packets
		1 packet received after close
		0 discarded for bad checksums
		0 discarded for bad header offset fields
		0 discarded because packet too short
		0 discarded due to memory problems
	12359 connection requests
	12992 connection accepts
	0 bad connection attempts
	0 listen queue overflows
	14 ignored RSTs in the windows
	25327 connections established (including accepts)
	25065 connections closed (including 34 drops)
		17987 connections updated cached RTT on close
		17987 connections updated cached RTT variance on close
		38 connections updated cached ssthresh on close
	1 embryonic connection dropped
	126635 segments updated rtt (of 106164 attempts)
	6296 retransmit timeouts
		0 connections dropped by rexmit timeout
	0 persist timeouts
		0 connections dropped by persist timeout
	0 Connections (fin_wait_2) dropped because of timeout
	9 keepalive timeouts
		9 keepalive probes sent
		0 connections dropped by keepalive
	17904 correct ACK header predictions
	74199 correct data packet header predictions
	12995 syncache entries added
		0 retransmitted
		0 dupsyn
		0 dropped
		12992 completed
		0 bucket overflow
		0 cache overflow
		3 reset
		0 stale
		0 aborted
		0 badack
		0 unreach
		0 zone failures
	12995 cookies sent
	0 cookies received
	37 hostcache entries added
		0 bucket overflow
	6 SACK recovery episodes
	0 segment rexmits in SACK recovery episodes
	0 byte rexmits in SACK recovery episodes
	12 SACK options (SACK blocks) received
	241 SACK options (SACK blocks) sent
	0 SACK scoreboard overflow
	0 packets with ECN CE bit set
	0 packets with ECN ECT(0) bit set
	0 packets with ECN ECT(1) bit set
	0 successful ECN handshakes
	0 times ECN reduced the congestion window
udp:
	189991 datagrams received
	0 with incomplete header
	0 with bad data length field
	0 with bad checksum
	1 with no checksum
	11506 dropped due to no socket
	259 broadcast/multicast datagrams undelivered
	0 dropped due to full socket buffers
	0 not for hashed pcb
	178226 delivered
	173269 datagrams output
	0 times multicast source filter matched
ip:
	1334891 total packets received
	0 bad header checksums
	0 with size smaller than minimum
	0 with data size < data length
	0 with ip length > max ip packet size
	0 with header length < data size
	0 with data length < header length
	0 with bad options
	0 with incorrect version number
	0 fragments received
	0 fragments dropped (dup or out of space)
	0 fragments dropped after timeout
	0 packets reassembled ok
	426479 packets for this host
	26 packets for unknown/unsupported protocol
	907203 packets forwarded (0 packets fast forwarded)
	489 packets not forwardable
	20 packets received for unknown multicast group
	0 redirects sent
	420861 packets sent from this host
	0 packets sent with fabricated ip header
	0 output packets dropped due to no bufs, etc.
	118 output packets discarded due to no route
	0 output datagrams fragmented
	0 fragments created
	0 datagrams that can't be fragmented
	0 tunneling packets that can't find gif
	0 datagrams with bad address in header
icmp:
	10124 calls to icmp_error
	0 errors not generated in response to an icmp message
	Output histogram:
		echo reply: 30
		destination unreachable: 10124
	0 messages with bad code fields
	0 messages less than the minimum length
	0 messages with bad checksum
	0 messages with bad length
	0 multicast echo requests ignored
	0 multicast timestamp requests ignored
	Input histogram:
		echo reply: 5
		destination unreachable: 34
		echo: 30
		router solicitation: 12
	30 message responses generated
	0 invalid return addresses
	0 no return routes
igmp:
	0 messages received
	0 messages received with too few bytes
	0 messages received with wrong TTL
	0 messages received with bad checksum
	0 V1/V2 membership queries received
	0 V3 membership queries received
	0 membership queries received with invalid field(s)
	0 general queries received
	0 group queries received
	0 group-source queries received
	0 group-source queries dropped
	0 membership reports received
	0 membership reports received with invalid field(s)
	0 membership reports received for groups to which we belong
	0 V3 reports received without Router Alert
	0 membership reports sent
pfsync:
	0 packets received (IPv4)
	0 packets received (IPv6)
	    0 clear all requests received
	    0 state inserts received
	    0 state inserted acks received
	    0 state updates received
	    0 compressed state updates received
	    0 uncompressed state requests received
	    0 state deletes received
	    0 compressed state deletes received
	    0 fragment inserts received
	    0 fragment deletes received
	    0 bulk update marks received
	    0 TDB replay counter updates received
	    0 end of frame marks received
		0 packets discarded for bad interface
		0 packets discarded for bad ttl
		0 packets shorter than header
		0 packets discarded for bad version
		0 packets discarded for bad HMAC
		0 packets discarded for bad action
		0 packets discarded for short packet
		0 states discarded for bad values
		0 stale states
		0 failed state lookup/inserts
	0 packets sent (IPv4)
	0 packets sent (IPv6)
	    1 clear all request sent
	    270296 state inserts sent
	    0 state inserted acks sent
	    0 state updates sent
	    964686 compressed state updates sent
	    0 uncompressed state requests sent
	    0 state deletes sent
	    256989 compressed state deletes sent
	    0 fragment inserts sent
	    0 fragment deletes sent
	    0 bulk update marks sent
	    0 TDB replay counter updates sent
	    109975 end of frame marks sent
		0 failures due to mbuf memory error
		0 send errors
arp:
	35 ARP requests sent
	344 ARP replies sent
	2075 ARP requests received
	12 ARP replies received
	2134 ARP packets received
	22 total packets dropped due to no ARP entry
	4 ARP entrys timed out
	0 Duplicate IPs seen
ip6:
	221 total packets received
	0 with size smaller than minimum
	0 with data size < data length
	0 with bad options
	0 with incorrect version number
	0 fragments received
	0 fragments dropped (dup or out of space)
	0 fragments dropped after timeout
	0 fragments that exceeded limit
	0 packets reassembled ok
	220 packets for this host
	0 packets forwarded
	0 packets not forwardable
	0 redirects sent
	38 packets sent from this host
	0 packets sent with fabricated ip header
	0 output packets dropped due to no bufs, etc.
	27 output packets discarded due to no route
	0 output datagrams fragmented
	0 fragments created
	0 datagrams that can't be fragmented
	0 packets that violated scope rules
	99 multicast packets which we don't join
	Input histogram:
		hop by hop: 84
		UDP: 121
		ICMP6: 16
	Mbuf statistics:
		3 one mbuf
		two or more mbuf:
			lo0= 2
		382 one ext mbuf
		0 two or more ext mbuf
	0 packets whose headers are not contiguous
	0 tunneling packets that can't find gif
	0 packets discarded because of too many headers
	89 failures of source address selection
	source addresses on a non-outgoing I/F
		89 addresses scope=f
	Source addresses selection rule applied:
		89 same address
icmp6:
	0 calls to icmp6_error
	0 errors not generated in response to an icmp6 message
	0 errors not generated because of rate limitation
	Output histogram:
		neighbor solicitation: 4
		MLDv2 listener report: 3
	0 messages with bad code fields
	0 messages < minimum length
	0 bad checksums
	0 messages with bad length
	Input histogram:
		neighbor advertisement: 1
	Histogram of error messages to be generated:
		0 no route
		0 administratively prohibited
		0 beyond scope
		0 address unreachable
		0 port unreachable
		0 packet too big
		0 time exceed transit
		0 time exceed reassembly
		0 erroneous header field
		0 unrecognized next header
		0 unrecognized option
		0 redirect
		0 unknown
	0 message responses generated
	0 messages with too many ND options
	0 messages with bad ND options
	0 bad neighbor solicitation messages
	0 bad neighbor advertisement messages
	0 bad router solicitation messages
	0 bad router advertisement messages
	0 bad redirect messages
	0 path MTU changes
rip6:
	0 messages received
	0 checksum calculations on inbound
	0 messages with bad checksum
	0 messages dropped due to no socket
	0 multicast messages dropped due to no socket
	0 messages dropped due to full socket buffers
	0 delivered
	0 datagrams output

------------------------------------------------------------------------
netstat -m

1222/255/1477 mbufs in use (current/cache/total)
1212/126/1338/126006 mbuf clusters in use (current/cache/total/max)
1219/126 mbuf+clusters out of packet secondary zone in use (current/cache)
0/17/17/63003 4k (page size) jumbo clusters in use (current/cache/total/max)
0/0/0/56001 9k jumbo clusters in use (current/cache/total/max)
0/0/0/42000 16k jumbo clusters in use (current/cache/total/max)
2729K/383K/3113K bytes allocated to network (current/cache/total)
0/83/1088 requests for mbufs denied (mbufs/clusters/mbuf+clusters)
0/0/0 requests for mbufs delayed (mbufs/clusters/mbuf+clusters)
0/0/0 requests for jumbo clusters delayed (4k/9k/16k)
0/0/0 requests for jumbo clusters denied (4k/9k/16k)
0 requests for sfbufs denied
0 requests for sfbufs delayed
0 requests for I/O initiated by sendfile

------------------------------------------------------------------------
netstat -idW

netstat: invalid address (0xfffff8000465f000)
Name      Mtu Network       Address              Ipkts Ierrs Idrop    Opkts Oerrs  Coll Drop
ral0     2290 <Link#1>      e0:2a:82:e2:5a:e7        0     0     0    29810    44     0    0 
bge0     1500 <Link#2>      00:13:72:2e:92:ac    58426     0     0    48538     0     0    0 
em0      1500 <Link#3>      00:1b:21:2e:db:7a   629901     0     0   691854     0     0    0 
em0      1500 192.168.1.0   dev                 260431     -     -   244483     -     -    - 
em0      1500 fe80::21b:21f fe80::21b:21ff:fe        0     -     -        3     -     -    - 
em0      1500 192.168.111.0 192.168.111.1            0     -     -        0     -     -    - 
em1      1500 <Link#4>      00:1b:21:2e:db:7b   505685     0     0   421646     0     0    0 
em1      1500 122.224.126.0 122.224.126.17       11920     -     -     2910     -     -    - 
em1      1500 fe80::21b:21f fe80::21b:21ff:fe        0     -     -        3     -     -    - 
fxp0     1500 <Link#5>      00:02:b3:d9:ad:03    10609     0     0    19521     0     0    0 
fxp0     1500 192.168.8.0   192.168.8.1              3     -     -      135     -     -    - 
fxp0     1500 fe80::202:b3f fe80::202:b3ff:fe        0     -     -        3     -     -    - 
pflog0* 33160 <Link#6>                               0     0     0      121     0     0    0 
pfsync0  1500 <Link#7>                               0     0     0        0     0     0    0 
lo0     16384 <Link#8>                          111735     0     0   111735     0     0    0 
lo0     16384 localhost     ::1                      5     -     -        5     -     -    - 
lo0     16384 fe80::1%lo0   fe80::1                  0     -     -        0     -     -    - 
lo0     16384 your-net      localhost            87135     -     -   111730     -     -    - 
lo0     16384 your-net      inner-file2.mipan        0     -     -        0     -     -    - 
lo0     16384 192.168.3.0   192.168.3.1           3024     -     -        0     -     -    - 
lo0     16384 192.168.4.1/3 192.168.4.1          58135     -     -        0     -     -    - 
gre0     1476 <Link#9>                            2496     0     0     2595   105     0    0 
gre0     1476 192.168.9.2/3 192.168.9.2             21     -     -       20     -     -    - 
gre0     1476 fe80::e22a:82 fe80::e22a:82ff:f        0     -     -        0     -     -    - 

------------------------------------------------------------------------
netstat -anr

netstat: invalid address (0xfffff800049e0000)
netstat: invalid address (0xfffff8000465f000)
netstat: invalid address (0xfffff8000465f000)
netstat: invalid address (0xfffff8000465f000)
netstat: invalid address (0xfffff8000465f000)
Routing tables

Internet:
Destination        Gateway            Flags    Refs      Use  Netif Expire
default            122.224.126.1      UGS         2   478847    em1
122.224.126.0/27   link#4             U           0        1    em1
122.224.126.17     link#4             UHS         0        0    lo0
127.0.0.1          127.0.0.1          UH          0    87135    lo0
127.0.1.1          127.0.1.1          UH          0        0    lo0
183.156.0.1        link#11            UHS         0        0    ---
183.156.6.27       127.0.0.1          UH          0        0    lo0
192.168.1.0/24     192.168.1.77       U           0   691230    em0
192.168.1.77       link#3             UHS         0    24595    lo0
192.168.3.1        192.168.3.1        UH          0        0    lo0
192.168.4.1        link#8             UH          0        0    lo0
192.168.7.0/24     link#12            U           0    29004  wlan0
192.168.7.1        link#12            UHS         0        0    lo0
192.168.8.0/24     link#5             U           0    19474   fxp0
192.168.8.1        link#5             UHS         0        0    lo0
192.168.9.1        link#9             UH          0     2594   gre0
192.168.9.2        127.0.0.1          UH          0        0    lo0
192.168.15.1       link#10            UH          0        0    ---
192.168.15.2       127.0.0.1          UH          0        0    lo0
192.168.111.0/24   link#3             U           0        0    em0
192.168.111.1      link#3             UHS         0        0    lo0

Internet6:
Destination                       Gateway                       Flags      Netif Expire
::/96                             ::1                           UGRS        lo0
::1                               link#8                        UH          lo0
::ffff:0.0.0.0/96                 ::1                           UGRS        lo0
fe80::/10                         ::1                           UGRS        lo0
fe80::%em0/64                     link#3                        U           em0
fe80::21b:21ff:fe2e:db7a%em0      link#3                        UHS         lo0
fe80::%em1/64                     link#4                        U           em1
fe80::21b:21ff:fe2e:db7b%em1      link#4                        UHS         lo0
fe80::%fxp0/64                    link#5                        U          fxp0
fe80::202:b3ff:fed9:ad03%fxp0     link#5                        UHS         lo0
fe80::%lo0/64                     link#8                        U           lo0
fe80::1%lo0                       link#8                        UHS         lo0
fe80::%gre0/64                    link#9                        U          gre0
fe80::e22a:82ff:fee2:5ae7%gre0    link#9                        UHS         lo0
fe80::%gre1/64                    link#10                       U           ---
fe80::e22a:82ff:fee2:5ae7%gre1    link#10                       UHS         lo0
fe80::%12/64                      link#12                       U         wlan0
fe80::e22a:82ff:fee2:5ae7%12      link#12                       UHS         lo0
ff01::%em0/32                     fe80::21b:21ff:fe2e:db7a%em0  U           em0
ff01::%em1/32                     fe80::21b:21ff:fe2e:db7b%em1  U           em1
ff01::%fxp0/32                    fe80::202:b3ff:fed9:ad03%fxp0 U          fxp0
ff01::%lo0/32                     ::1                           U           lo0
ff01::%gre0/32                    fe80::e22a:82ff:fee2:5ae7%gre0 U          gre0
ff01::%gre1/32                    fe80::e22a:82ff:fee2:5ae7%gre1 U           ---
ff01::%12/32                      fe80::e22a:82ff:fee2:5ae7%12  U         wlan0
ff02::/16                         ::1                           UGRS        lo0
ff02::%em0/32                     fe80::21b:21ff:fe2e:db7a%em0  U           em0
ff02::%em1/32                     fe80::21b:21ff:fe2e:db7b%em1  U           em1
ff02::%fxp0/32                    fe80::202:b3ff:fed9:ad03%fxp0 U          fxp0
ff02::%lo0/32                     ::1                           U           lo0
ff02::%gre0/32                    fe80::e22a:82ff:fee2:5ae7%gre0 U          gre0
ff02::%gre1/32                    fe80::e22a:82ff:fee2:5ae7%gre1 U           ---
ff02::%12/32                      fe80::e22a:82ff:fee2:5ae7%12  U         wlan0

------------------------------------------------------------------------
netstat -anA

Active Internet connections (including servers)
Tcpcb            Proto Recv-Q Send-Q Local Address      Foreign Address    (state)
fffff80049182c00 tcp4       0      0 192.168.4.1.39802  78.140.188.239.80  SYN_SENT
fffff80032532c00 tcp4       0      0 127.0.0.1.8488     127.0.0.1.39801    ESTABLISHED
fffff800493c4c00 tcp4       0    251 127.0.0.1.39801    127.0.0.1.8488     ESTABLISHED
fffff800496fa800 tcp4       0      0 192.168.1.77.1081  192.168.1.66.49580 ESTABLISHED
fffff80032532400 tcp4       0      0 192.168.4.1.39800  195.122.152.54.80  SYN_SENT
fffff8003251c000 tcp4       0      0 127.0.0.1.8488     127.0.0.1.39799    ESTABLISHED
fffff800324ce000 tcp4       0    251 127.0.0.1.39799    127.0.0.1.8488     ESTABLISHED
fffff800324ca800 tcp4       0      0 192.168.1.77.1081  192.168.1.66.49578 ESTABLISHED
fffff80032528c00 tcp4       0      0 192.168.4.1.39798  78.140.188.237.80  SYN_SENT
fffff8003252a400 tcp4       0      0 127.0.0.1.8488     127.0.0.1.39797    ESTABLISHED
fffff80032257800 tcp4       0      0 127.0.0.1.39797    127.0.0.1.8488     ESTABLISHED
fffff800324ca400 tcp4       0      0 192.168.1.77.1081  192.168.1.66.49576 ESTABLISHED
fffff8003251fc00 tcp4       0      0 192.168.4.1.39796  78.140.188.241.80  SYN_SENT
fffff80032529800 tcp4       0      0 192.168.4.1.39795  78.140.188.241.80  SYN_SENT
fffff80032544400 tcp4       0      0 127.0.0.1.8488     127.0.0.1.39794    ESTABLISHED
fffff800324d0400 tcp4       0      0 127.0.0.1.39794    127.0.0.1.8488     ESTABLISHED
fffff8003251f000 tcp4       0      0 192.168.1.77.1081  192.168.1.66.49574 ESTABLISHED
fffff800493c6400 tcp4       0      0 127.0.0.1.8488     127.0.0.1.39793    ESTABLISHED
fffff80032a3e400 tcp4       0      0 127.0.0.1.39793    127.0.0.1.8488     ESTABLISHED
fffff80032a03800 tcp4       0      0 192.168.1.77.1081  192.168.1.66.49572 ESTABLISHED
fffff80032533c00 tcp4       0      0 192.168.4.1.39792  78.140.188.241.80  SYN_SENT
fffff80058773000 tcp4       0      0 127.0.0.1.8488     127.0.0.1.39791    ESTABLISHED
fffff800493c6800 tcp4       0      0 127.0.0.1.39791    127.0.0.1.8488     ESTABLISHED
fffff800587c8400 tcp4       0      0 192.168.1.77.1081  192.168.1.66.49570 ESTABLISHED
fffff80058c35c00 tcp4       0      0 192.168.4.1.39790  78.140.188.237.80  SYN_SENT
fffff80032533800 tcp4       0      0 127.0.0.1.8488     127.0.0.1.39789    ESTABLISHED
fffff80032525400 tcp4       0      0 127.0.0.1.39789    127.0.0.1.8488     ESTABLISHED
fffff800588f2000 tcp4       0      0 192.168.1.77.1081  192.168.1.66.49568 ESTABLISHED
fffff80032524800 tcp4       0      0 192.168.4.1.39788  78.140.188.239.80  SYN_SENT
fffff800587c8c00 tcp4       0      0 127.0.0.1.8488     127.0.0.1.39787    ESTABLISHED
fffff80032a3ec00 tcp4       0      0 127.0.0.1.39787    127.0.0.1.8488     ESTABLISHED
fffff800493c5800 tcp4       0      0 192.168.1.77.1081  192.168.1.66.49566 ESTABLISHED
fffff8003254d800 tcp4       0      0 192.168.4.1.39786  195.122.152.52.80  SYN_SENT
fffff80032533000 tcp4       0      0 127.0.0.1.8488     127.0.0.1.39785    ESTABLISHED
fffff800324ca000 tcp4       0      0 127.0.0.1.39785    127.0.0.1.8488     ESTABLISHED
fffff800491a2400 tcp4       0      0 192.168.1.77.1081  192.168.1.66.49564 ESTABLISHED
fffff80032257c00 tcp4       0      0 192.168.4.1.39784  195.122.152.53.80  SYN_SENT
fffff8003251f400 tcp4       0      0 127.0.0.1.8488     127.0.0.1.39783    ESTABLISHED
fffff800324c9400 tcp4       0      0 127.0.0.1.39783    127.0.0.1.8488     ESTABLISHED
fffff80058773400 tcp4       0      0 192.168.1.77.1081  192.168.1.66.49562 ESTABLISHED
fffff800588f2400 tcp4       0      0 192.168.4.1.39782  195.122.152.52.80  SYN_SENT
fffff800587c8800 tcp4       0      0 127.0.0.1.8488     127.0.0.1.39781    ESTABLISHED
fffff8003251f800 tcp4       0      0 127.0.0.1.39781    127.0.0.1.8488     ESTABLISHED
fffff80049a5f400 tcp4       0      0 192.168.1.77.1081  192.168.1.66.49560 ESTABLISHED
fffff800324c8c00 tcp4       0      0 192.168.4.1.39780  195.122.152.55.80  SYN_SENT
fffff80032532000 tcp4       0      0 127.0.0.1.8488     127.0.0.1.39779    ESTABLISHED
fffff80058c35000 tcp4       0      0 127.0.0.1.39779    127.0.0.1.8488     ESTABLISHED
fffff800324ce800 tcp4       0      0 192.168.1.77.1081  192.168.1.66.49558 ESTABLISHED
fffff80049666c00 tcp4       0      0 192.168.4.1.39778  78.140.188.240.80  SYN_SENT
fffff800588f2c00 tcp4       0      0 127.0.0.1.8488     127.0.0.1.39777    ESTABLISHED
fffff800324c9800 tcp4       0      0 127.0.0.1.39777    127.0.0.1.8488     ESTABLISHED
fffff800496fac00 tcp4       0      0 192.168.1.77.1081  192.168.1.66.49556 ESTABLISHED
fffff80004930800 tcp4       0      0 192.168.4.1.39776  195.122.152.53.80  SYN_SENT
fffff80049a5fc00 tcp4       0      0 127.0.0.1.8488     127.0.0.1.39775    ESTABLISHED
fffff80032523400 tcp4       0      0 127.0.0.1.39775    127.0.0.1.8488     ESTABLISHED
fffff80032545400 tcp4       0      0 192.168.1.77.1081  192.168.1.66.49554 ESTABLISHED
fffff800493c4800 tcp4       0      0 192.168.4.1.39774  78.140.188.237.80  SYN_SENT
fffff8003251dc00 tcp4       0      0 127.0.0.1.8488     127.0.0.1.39773    ESTABLISHED
fffff80032a04800 tcp4       0      0 127.0.0.1.39773    127.0.0.1.8488     ESTABLISHED
fffff80058751800 tcp4       0      0 192.168.1.77.1081  192.168.1.66.49552 ESTABLISHED
fffff800324ce400 tcp4       0      0 192.168.4.1.39772  195.122.152.55.80  SYN_SENT
fffff8003252a000 tcp4       0      0 127.0.0.1.8488     127.0.0.1.39771    ESTABLISHED
fffff800496fa400 tcp4       0      0 127.0.0.1.39771    127.0.0.1.8488     ESTABLISHED
fffff80049666000 tcp4       0      0 192.168.1.77.1081  192.168.1.66.49550 ESTABLISHED
fffff80049ef11b8 tcp4       0      0 192.168.1.77.5555  192.168.1.132.4404 TIME_WAIT
fffff80049ef2000 tcp4       0      0 192.168.1.77.5555  192.168.1.132.4403 TIME_WAIT
fffff80058408bb0 tcp4       0      0 192.168.1.77.5555  192.168.1.132.4402 TIME_WAIT
fffff80058409000 tcp4       0      0 192.168.1.77.5555  192.168.1.132.4401 TIME_WAIT
fffff80049ef1898 tcp4       0      0 192.168.1.77.5555  192.168.1.132.4400 TIME_WAIT
fffff8004999ae18 tcp4       0      0 192.168.1.77.5555  192.168.1.132.4399 TIME_WAIT
fffff80049ef2528 tcp4       0      0 192.168.1.77.5555  192.168.1.132.4398 TIME_WAIT
fffff8004999aa50 tcp4       0      0 192.168.1.77.5555  192.168.1.132.4397 TIME_WAIT
fffff80032543c00 tcp4       0      0 192.168.4.1.39770  195.122.152.51.80  SYN_SENT
fffff800324cec00 tcp4       0      0 127.0.0.1.8488     127.0.0.1.39769    ESTABLISHED
fffff80032a47400 tcp4       0      0 127.0.0.1.39769    127.0.0.1.8488     ESTABLISHED
fffff80058751000 tcp4       0      0 192.168.1.77.1081  192.168.1.66.49548 ESTABLISHED
fffff80032543000 tcp4       0      0 192.168.4.1.39768  195.122.152.50.80  SYN_SENT
fffff80058c35800 tcp4       0      0 127.0.0.1.8488     127.0.0.1.39767    ESTABLISHED
fffff8003251d800 tcp4       0      0 127.0.0.1.39767    127.0.0.1.8488     ESTABLISHED
fffff80032a02000 tcp4       0      0 192.168.1.77.1081  192.168.1.66.49546 ESTABLISHED
fffff80032a47000 tcp4       0      0 192.168.4.1.39766  78.140.188.237.80  SYN_SENT
fffff80049a5f000 tcp4       0      0 127.0.0.1.8488     127.0.0.1.39765    ESTABLISHED
fffff80058751400 tcp4       0      0 127.0.0.1.39765    127.0.0.1.8488     ESTABLISHED
fffff800490e7800 tcp4       0      0 192.168.1.77.1081  192.168.1.66.49544 ESTABLISHED
fffff80032533400 tcp4       0    230 192.168.4.1.39764  195.122.152.55.80  ESTABLISHED
fffff80032531400 tcp4       0      0 127.0.0.1.8488     127.0.0.1.39763    ESTABLISHED
fffff800493c4400 tcp4       0      0 127.0.0.1.39763    127.0.0.1.8488     ESTABLISHED
fffff8003251e400 tcp4       0      0 192.168.1.77.1081  192.168.1.66.49542 ESTABLISHED
fffff80032543400 tcp4       0      0 192.168.4.1.39762  78.140.188.237.80  FIN_WAIT_1
fffff80049ef1000 tcp4       0      0 127.0.0.1.39761    127.0.0.1.8488     TIME_WAIT
fffff80032545800 tcp4       0      0 192.168.4.1.39760  78.140.188.237.80  FIN_WAIT_1
fffff80058408d68 tcp4       0      0 127.0.0.1.39759    127.0.0.1.8488     TIME_WAIT
fffff80058409948 tcp4       0      0 192.168.4.1.39758  78.140.188.239.80  TIME_WAIT
fffff80049ef29a0 tcp4       0      0 127.0.0.1.39757    127.0.0.1.8488     TIME_WAIT
fffff80049999aa8 tcp4       0      0 192.168.4.1.39756  195.122.152.52.80  TIME_WAIT
fffff80049998268 tcp4       0      0 127.0.0.1.39755    127.0.0.1.8488     TIME_WAIT
fffff80058152108 tcp4       0      0 192.168.4.1.39754  78.140.188.242.80  TIME_WAIT
fffff80032d07840 tcp4       0      0 127.0.0.1.39753    127.0.0.1.8488     TIME_WAIT
fffff800584099f8 tcp4       0      0 192.168.4.1.39752  78.140.188.242.80  TIME_WAIT
fffff80032d070b0 tcp4       0      0 127.0.0.1.39751    127.0.0.1.8488     TIME_WAIT
fffff80058204160 tcp4       0      0 192.168.4.1.39750  195.122.152.51.80  TIME_WAIT
fffff80049998aa8 tcp4       0      0 127.0.0.1.39749    127.0.0.1.8488     TIME_WAIT
fffff80058205000 tcp4       0      0 192.168.4.1.39748  195.122.152.52.80  TIME_WAIT
fffff80049ef0420 tcp4       0      0 127.0.0.1.39747    127.0.0.1.8488     TIME_WAIT
fffff80049999268 tcp4       0      0 192.168.4.1.39746  195.122.152.50.80  TIME_WAIT
fffff80058150790 tcp4       0      0 127.0.0.1.39745    127.0.0.1.8488     TIME_WAIT
fffff800582059f8 tcp4       0      0 192.168.4.1.39744  78.140.188.242.80  TIME_WAIT
fffff80058204840 tcp4       0      0 127.0.0.1.39743    127.0.0.1.8488     TIME_WAIT
fffff80049999898 tcp4       0      0 192.168.4.1.39742  78.140.188.240.80  TIME_WAIT
fffff80058408ec8 tcp4       0      0 127.0.0.1.39741    127.0.0.1.8488     TIME_WAI
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2013-11-21 06:23:27 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-net

Over to maintainer(s).
Comment 2 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 08:00:17 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped
Comment 3 Andriy Voskoboinyk freebsd_committer 2019-01-27 12:59:06 UTC
Assign to the wireless list
Comment 4 Andriy Voskoboinyk freebsd_committer 2019-02-03 16:03:02 UTC
*** Bug 178411 has been marked as a duplicate of this bug. ***
Comment 5 Andriy Voskoboinyk freebsd_committer 2019-02-03 16:07:27 UTC
*** Bug 181646 has been marked as a duplicate of this bug. ***
Comment 6 Andriy Voskoboinyk freebsd_committer 2019-02-03 16:14:56 UTC
Copy my comment from bug #178411:

wcid2ni is not properly cleared + ni_associd can change after ASSOC / REASSOC frames, so this issue look still relevant.

11n is not supported by this driver yet.